package com.engine.salary.formlua.func.logic;

import com.engine.salary.formlua.entity.parameter.DataType;


public interface LogicService {
    public Boolean not(Object... object);

    public Boolean isEmpty(Object... objs);

    public Boolean isTrue(Object... objs);

    public Boolean isFalse(Object... objs);

    public DataType and(Object... objs);

    public DataType or(Object... objs);

    public DataType likeFunc(Object... objects);

    public DataType ifs(Object... objects);

    public DataType find(Object... objects);

    public DataType switchs(Object... objects);
}
